summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--makefile7
-rwxr-xr-xsysroot.sh12
2 files changed, 18 insertions, 1 deletions
diff --git a/makefile b/makefile
index 2a227cc..57b0486 100644
--- a/makefile
+++ b/makefile
@@ -65,7 +65,12 @@ clean:
Version.h:
./Version.h.sh
-MobileCydia: Version.h MobileCydia.mm UICaboodle/*.h UICaboodle/*.mm SDURLCache/SDURLCache.h SDURLCache/SDURLCache.m iPhonePrivate.h lookup3.o Cytore.hpp
+sysroot:
+ @echo "Please read compiling.txt: you do not have a ./sysroot/ folder with the on-device requirements." 1>&2
+ @echo 1>&2
+ @exit 1
+
+MobileCydia: sysroot Version.h MobileCydia.mm UICaboodle/*.h UICaboodle/*.mm SDURLCache/SDURLCache.h SDURLCache/SDURLCache.m iPhonePrivate.h lookup3.o Cytore.hpp
$(cycc) $(filter %.mm,$^) $(filter %.o,$^) $(foreach m,$(filter %.m,$^),-x objective-c++ $(m)) $(flags) $(link) $(uikit)
ldid -Slaunch.xml $@ || { rm -f $@ && false; }
diff --git a/sysroot.sh b/sysroot.sh
index 71521db..5e87c3c 100755
--- a/sysroot.sh
+++ b/sysroot.sh
@@ -11,6 +11,18 @@ set -e
shopt -s extglob
shopt -s nullglob
+for command in unlzma wget; do
+ if ! which "${command}" &>/dev/null; then
+ echo "Cannot run \`${command}\`. Please read compiling.txt." 1>&2
+ exit 1
+ fi
+done
+
+if tar --help | grep bsdtar &>/dev/null; then
+ echo "Running \`tar\` is bsdtar :(. Please read compiling.txt." 1>&2
+ exit 1
+fi
+
rm -rf sysroot
mkdir sysroot
cd sysroot